G. Pape
runit

## Name

runsvchdir - change services directory of runsvdir(8)

## Synopsis

runsvchdir dir

## Description

dir is a services directory for the use with runsvdir(8). If dir does not start with a slash, it is searched in /etc/runit/runsvdir/. dir must not start with a dot.

runsvchdir switches to the directory /etc/runit/runsvdir/, copies current to previous, and replaces current with a symlink pointing to dir.

Normally /service is a symlink to current, and runsvdir(8) is running /service/.

## Exit Codes

runsvchdir prints an error message and exits 111 on error. runsvchdir exits 0 on success.

## Files

/etc/runit/runsvdir/previous
/etc/runit/runsvdir/current
/etc/runit/runsvdir/current.new

## See Also

runsvdir(8), runit(8), runit-init(8), sv(8), runsv(8)

http://smarden.org/runit/

## Author

Gerrit Pape <pape@smarden.org>

Table of Contents

- Name
- Synopsis
- Description
- Exit Codes
- Files
- See Also
- Author